faked(1)

NUME
faked - demon care memorează proprietatea/permisiunile false ale fișierelor manipulate de procesele „fakeroot”.

REZUMAT
faked [--debug] [--foreground] [--cleanup] [--key număr-cheie] [--load] [--save-file fișier-de-salvare] [--port port-TCP]

DESCRIERE
Dacă un proces „fakeroot” dorește să schimbe proprietarul unui fișier, atunci faked este procesul care își amintește de noul proprietar. Dacă mai târziu același proces „fakeroot” face un stat() pentru acel nume de fișier, atunci apelul stat() învăluit de „libfakeroot” va cere mai întâi lui «faked» să afle proprietatea falsă, etc. a acelui fișier, iar apoi va raporta acest lucru.

OPȚIUNI

--debug
    Imprimă informații de depanare la ieșirea de eroare standard.

--foreground
    Nu se bifurcă (nu execută fork) în fundal.

--cleanup număr
    Curăță semafoarele.

--key număr-cheie
    Nu se alocă un nou canal de comunicare, ci se utilizează canalul specificat prin cheie (în cazul în care canalul specificat nu există, acesta este creat).

--save-file fișier-salvare
    Salvează mediul în fișierul-de-salvare la ieșire.

--load
    Încarcă un mediu salvat anterior de la intrarea standard.

--unknown-is-real
    Utilizează proprietatea reală a fișierelor necunoscute anterior în loc să le stabilească la root:root.

--port port-tcp
    Utilizează portul TCP „port-tcp”.

ERORI
Niciuna până acum. Totuși, fiți atenți: deși am scris câteva programe mult mai mari (și mai mici), nu am scris niciodată ceva care să fie la fel de mic ca fakeroot, să aibă atâtea erori ca fakeroot și totuși să fie la fel de utilizabil ca, să zicem, fakeroot versiunea 0.0_3, prima versiune care putea fi folosită pentru a se construi singură.

COPIEREA
fakeroot este distribuit sub Licența Publică Generală GNU. (GPL 2.0 sau ulterioară).

AUTORI

joost witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

PAGINA DE MANUAL
în mare parte scrisă de J.H.M. Dassen <jdassen@debian.org> cu modificări/adăugiri făcute de joost și Clint.

CONSULTAȚI ȘI
fakeroot(1), dpkg-buildpackage(1), debuild(1), /usr/share/doc/fakeroot/DEBUG

TRADUCERE
Această traducere a fost creată în 2023 de Remus-Gabriel Chelu. Ea este supusă licenței GNU GPL versiunea 2 (sau ulterioară). Pentru a citi versiunea originală în limba engleză, tastați «man -L C COMMAND». Vă rugăm să raportați erorile de traducere prin baza de date a erorilor (BTS) de la Debian sau trimițând un e-mail la &lt;debian-l10-romanian@lists.debian.org&gt;, lista de discuții a traducerilor în limba romănă a progrmelor și documentelor din Debian, sau direct autorului acestei traduceri la &lt;remusgabriel.chelu@disroot.org&gt;